/*
 * [USB3aFemaleHorizontal.java]
 *
 * Summary: draw female USB3a connector horizontally.
 *
 * Copyright: (c) 2011-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2011-01-29 initial version.
 */
package com.mindprod.connectors;

import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.geom.AffineTransform;

/**
 * draw female USB3a connector horizontally.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2011-01-29 initial version.
 * @since 2011-01-29
 */
class USB3aFemaleHorizontal extends ConnectorPanel
    {
    USB3aFemaleHorizontal()
        {
        super( 1000, 600 );
        }

    /**
     * draw a USB2-B female connector in the horizontal position
     *
     * @param g where to paint
     */
    public void paintComponent( Graphics g )
        {
        super.paintComponent( g );
        final Graphics2D g2d = ( Graphics2D ) g.create();
        AffineTransform t = g2d.getTransform();
        t.quadrantRotate( -1 );
        t.translate( -600, 0 );
        g2d.setTransform( t );
        // get it by rotating a drawing in the vertical position
        USB2aFemaleVertical.drawUSBFemale( g2d, USB3_BLUE );
        }
    }
