/*
 * [USB3aFemaleVertical.java]
 *
 * Summary: draw female USB3a connector vertically.
 *
 * Copyright: (c) 2011-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2011-01-29 initial version.
 */
package com.mindprod.connectors;

import java.awt.Graphics;
import java.awt.Graphics2D;

/**
 * draw female USB3a connector vertically.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2011-01-29 initial version.
 * @since 2011-01-29
 */
class USB3aFemaleVertical extends ConnectorPanel
    {
    USB3aFemaleVertical()
        {
        super( 600, 1000 );
        }

    /**
     * draw a USB2-B female connector in the vertical position
     *
     * @param g where to paint
     */
    public void paintComponent( Graphics g )
        {
        super.paintComponent( g );
        USB2aFemaleVertical.drawUSBFemale( ( Graphics2D ) g, USB3_BLUE );
        }
    }
